BasicTreeUI.CellEditorHandler (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.plaf.basic, class: BasicTreeUI, class: CellEditorHandler
Keywords: javax.swing.plaf.basic.BasicTreeUI.CellEditorHandler class

# Class BasicTreeUI.CellEditorHandler

java.lang.Object
javax.swing.plaf.basic.BasicTreeUI.CellEditorHandler

All Implemented Interfaces:
  `EventListener, CellEditorListener`

Enclosing class:
  `BasicTreeUI`

public class BasicTreeUI.CellEditorHandler extends Object implements CellEditorListener
Listener responsible for getting cell editing events and updating the tree accordingly.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CellEditorHandler()`
  Constructs a `CellEditorHandler`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `editingCanceled(ChangeEvent e)`
  Messaged when editing has been canceled in the tree.
  `void`
  `editingStopped(ChangeEvent e)`
  Messaged when editing has stopped in the tree.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### CellEditorHandler

    public CellEditorHandler()
    Constructs a `CellEditorHandler`.

- ## Method Details

  - ### editingStopped

    public void editingStopped(ChangeEvent e)
    Messaged when editing has stopped in the tree.
    Specified by:
      `editingStopped` in interface `CellEditorListener`
    Parameters:
      `e` - the `ChangeEvent` containing the source of the event

  - ### editingCanceled

    public void editingCanceled(ChangeEvent e)
    Messaged when editing has been canceled in the tree.
    Specified by:
      `editingCanceled` in interface `CellEditorListener`
    Parameters:
      `e` - the `ChangeEvent` containing the source of the event